function battle_sai039(npcID)       --毒影

	local n=flag.GetBattleValue(12001)
	n=n+1
	flag.SetBattleValue(12001,n)
	local hp=battle.GetSelfHP(2)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if n>=16 or hp<=60 then
		battle.End(5000)
	else
		local a=battle.GetRndNumber(1,3)
		if a==1 or a==2 then
			if player.IsPlayerInBattle(512)==1 then
				if player.GetHP(512,0)>0 then
					id=512
				else
					id = battle.GetRndPlayer()
				end
			else
				id = battle.GetRndPlayer()
			end
					battle.MagicToPlayer(id,1537,1)
		else
			if player.IsPlayerInBattle(512)==1 then
					if player.GetHP(512,0)>0 then
						id=512
					else
						id = battle.GetRndPlayer()
					end
				else
					id = battle.GetRndPlayer()
				end
				battle.MagicToPlayer(0,1538,1)
		end
	end

end